#ifndef _TX01_TELEMETRY_FRAME_HPP_
#define _TX01_TELEMETRY_FRAME_HPP_ 1

#include "tx01_endian.hpp"

const uint16_t tx01_telemetry_frame_magic = 0x55aa;

struct tx01_telemetry_frame
{
	big_uint16_t magic;
	uint8_t len_payload;
	uint8_t seq;
	uint8_t dev_id;
	uint8_t msg_id;
	char payload[];
};

static_assert(sizeof(tx01_telemetry_frame) == 6);

#endif
